module Tawork
  class Engine < ::Rails::Engine
    initializer "tawork.configure_rails_initialization", before: :set_autoload_paths do |app|
      app.class.configure do
        config.i18n.load_path += Dir[Tawork::Engine.root.join(*%w(config locales *.{rb,yml})).to_s]
        config.autoload_paths += %W(#{Tawork::Engine.root.join 'lib'})
        Tawork::Engine.paths['db/migrate'].existent.each do |path|
          config.paths['db/migrate'] << path
        end
      end
    end
  end
end
