class AssignmentsController < ApplicationController
  before_filter :authenticate_user!

  def create
    @ticket = Ticket.find params[:ticket_id]
    @assignment = @ticket.assignments.build(
      assignment_params.merge(assigner: current_user)
    )

    respond_to do |format|
      format.js
    end
  end

  def update
    # as one would have it
  end

  def destroy
    assignment = Assignment.find params[:id]
    assignment.destroy
  end

  private

  def assignment_params
    params.require(params[:assignment]).permit(:user_id, :priority)
  end

end
