class DeletedItem < ActiveRecord::Base

  def self.save_and_destroy(item, deleted_by)
    DeletedItem.create(
      item_type: item.class.to_s,
      item_id: item.id,
      yaml: item.to_yaml,
      json: item.to_json,
      deleted_by_id: deleted_by.id
    )

    item.destroy
  end
end
