Grit::Repo.init_bare TAWORK_CONFIG["git_repo_path"]
$wiki = Gollum::Wiki.new(File.join(Rails.root, TAWORK_CONFIG["git_repo_path"]))

module Gollum
  class Attachment < Page
    include Pagination

    def self.format_to_ext(format)
      format.to_s
    end

    def self.cname(name)
      name
    end
  end
end

module Gollum
  class Wiki
    def normalize(data)
      return data.read if data.respond_to?(:read)

      result = data.try(:gsub, /\r/, '')
      result
    end
  end
end

