class CreatePages < ActiveRecord::Migration
  def change
    create_table :pages do |t|
      t.string :type
      t.string :ancestry
      t.string :title
      t.text :body
      t.references :creator, index: true
      t.integer :position, default: 1000

      t.timestamps
    end
  end
end
